﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Mathematics;
using CG2.Modeling;

namespace CG2.Rendering
{
	public class Ray
	{
		#region Properties

		public static Double Bias = 0.01; // zNear

		public Vector4 Origin;
		public Vector4 Direction;

		public Double HitParam = Double.MaxValue; // zFar
		public Sphere HitModel = null;
        
        #endregion

        public Ray()
		{
		}

		public Ray(Vector4 origin, Vector4 direction)
		{
            Origin = origin;
            Direction = direction;
            HitParam = Double.MaxValue;
		}
	}
}
